Package org.stianloader.micromixin.transform.internal.util.smap

## Class AbstractSMAPSection

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.smap.AbstractSMAPSection

Direct Known Subclasses:
  `EndSection`, `FileSection`, `FutureSection`, `LineSection`, `StratumSection`, `VendorSection`

    public abstract class AbstractSMAPSection
    extends java.lang.Object

### Constructor Summary

Constructors
`AbstractSMAPSection()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract java.lang.StringBuilder` `pushContents​(java.lang.StringBuilder sharedBuilder)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractSMAPSection

    public AbstractSMAPSection()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### pushContents

    @NotNull
    @Contract(mutates="param1",
              pure=false,
              value="!null -> param1; null -> fail")
    public abstract java.lang.StringBuilder pushContents​(@NotNull
                                                         java.lang.StringBuilder sharedBuilder)